You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by xi...@apache.org on 2020/07/07 02:24:36 UTC

[incubator-nuttx] 06/06: fixing problem with trap not removing tempdir

This is an automated email from the ASF dual-hosted git repository.

xiaoxiang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit b994d1f0b6c46cfef00c44551b4d955ef8133dc3
Author: Adam Feuer <ad...@adamfeuer.com>
AuthorDate: Mon Jul 6 12:51:34 2020 -0700

    fixing problem with trap not removing tempdir
    
    - needs to be in original dir to work
---
 tools/checkrelease.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/checkrelease.sh b/tools/checkrelease.sh
index 2f2ddd1..5677836 100755
--- a/tools/checkrelease.sh
+++ b/tools/checkrelease.sh
@@ -24,7 +24,7 @@ set -e
 BASE_URL="https://dist.apache.org/repos/dist/dev/incubator/nuttx"
 TEMPDIR="dist.apache.org"
 ORIGINAL_DIR="$(pwd)"
-trap "rm -rf $TEMPDIR" EXIT
+trap "{ cd $ORIGINAL_DIR; rm -rf $TEMPDIR; }" EXIT
 
 function download_release() {
     wget -r -np -R "index.html*" -P . --cut-dirs 7 "$URL"